summaryrefslogtreecommitdiffstats
path: root/embedding/ios/GeckoEmbed/build-gecko.sh
diff options
context:
space:
mode:
Diffstat (limited to 'embedding/ios/GeckoEmbed/build-gecko.sh')
-rwxr-xr-xembedding/ios/GeckoEmbed/build-gecko.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/embedding/ios/GeckoEmbed/build-gecko.sh b/embedding/ios/GeckoEmbed/build-gecko.sh
new file mode 100755
index 000000000..1475fa916
--- /dev/null
+++ b/embedding/ios/GeckoEmbed/build-gecko.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+set -e
+
+if test "${ACTION}" != "clean"; then
+ echo "Building in ${GECKO_OBJDIR}"
+ make -j8 -s -C $GECKO_OBJDIR binaries
+
+ echo "Copying files from ${GECKO_OBJDIR}/dist/bin"
+ rsync -pvtrlL --exclude "Test*" \
+ --exclude "test_*" --exclude "*_unittest" \
+ --exclude xulrunner \
+ ${GECKO_OBJDIR}/dist/bin/ $BUILT_PRODUCTS_DIR/$CONTENTS_FOLDER_PATH/Frameworks
+
+ if test ${ARCHS} == "armv7"; then
+ for x in $BUILT_PRODUCTS_DIR/$CONTENTS_FOLDER_PATH/Frameworks/*.dylib $BUILT_PRODUCTS_DIR/$CONTENTS_FOLDER_PATH/Frameworks/XUL; do
+ echo "Signing $x"
+ /usr/bin/codesign --force --sign "${EXPANDED_CODE_SIGN_IDENTITY}" --preserve-metadata=identifier,entitlements,resource-rules $x
+ done
+ fi
+fi